[NuGet Gallery] Message for owners of the package 'Apache.NMS.ActiveMQ'

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[NuGet Gallery] Message for owners of the package 'Apache.NMS.ActiveMQ'

NuGet Gallery
User ard <[hidden email]> sends the following message to the owners of Package 'Apache.NMS.ActiveMQ 1.7.2 (https://www.nuget.org/packages/Apache.NMS.ActiveMQ/1.7.2)'.

Hello,

Will there be a new release for the newer netstandard version of this package? I tried adding this project recently have been getting build errors in my asp.net core application.

https://github.com/apache/activemq-nms-amqp

warning NU1701: Package 'Apache.NMS 1.7.1' was restored using '.NETFramework,Version=v4.6.1' instead of the project target framework '.NETCoreApp,Version=v2.2'. This package may not be fully compatible with your project.

-----------------------------------------------
    To stop receiving contact emails as an owner of this package, sign in to the NuGet Gallery and
    change your email notification settings (https://www.nuget.org/account).

Privacy Statement (https://go.microsoft.com/fwlink/?LinkId=521839)
Microsoft Corporation
One Microsoft Way
Redmond, WA 98052 USA
Reply | Threaded
Open this post in threaded view
|

Re: [NuGet Gallery] Message for owners of the package 'Apache.NMS.ActiveMQ'

michael.andre.pearce
Please feel free to help contribute to the current work at apache. There is an open pr and work to support net std, but with outstanding bits to resolve. Feel free to contribute




Get Outlook for Android







On Tue, Oct 15, 2019 at 6:51 PM +0100, "NuGet Gallery" <[hidden email]> wrote:










User ard <[hidden email]> sends the following message to the owners of Package 'Apache.NMS.ActiveMQ 1.7.2 (https://www.nuget.org/packages/Apache.NMS.ActiveMQ/1.7.2)'.

Hello,

Will there be a new release for the newer netstandard version of this package? I tried adding this project recently have been getting build errors in my asp.net core application.

https://github.com/apache/activemq-nms-amqp

warning NU1701: Package 'Apache.NMS 1.7.1' was restored using '.NETFramework,Version=v4.6.1' instead of the project target framework '.NETCoreApp,Version=v2.2'. This package may not be fully compatible with your project.

-----------------------------------------------
    To stop receiving contact emails as an owner of this package, sign in to the NuGet Gallery and
    change your email notification settings (https://www.nuget.org/account).

Privacy Statement (https://go.microsoft.com/fwlink/?LinkId=521839)
Microsoft Corporation
One Microsoft Way
Redmond, WA 98052 USA




Reply | Threaded
Open this post in threaded view
|

RE: [NuGet Gallery] Message for owners of the package 'Apache.NMS.ActiveMQ'

Heiser, Derek
In reply to this post by NuGet Gallery
There is a pull request out for this package to get it up to .net core standards (in fact, the interface itself has been migrated to .net core some time ago): https://github.com/apache/activemq-nms-openwire/pull/9

Unfortunately, I am stuck with some of the details required to complete the migration (some logic needs to be converted to async/await, some unit tests still fail). I don't have a deep enough understanding of the innerworkings of AMQ to really push much further.

However, once that gets sorted and merged, it's a possibility.

I'm not a maintainer of this project, but figured I had some responsibility to report on my (stalled) progress for this effort.

Thanks,

Derek


-----Original Message-----
From: NuGet Gallery <[hidden email]>
Sent: Tuesday, October 15, 2019 12:51 PM
To: [hidden email]; [hidden email]; [hidden email]; [hidden email]; [hidden email]
Subject: [NuGet Gallery] Message for owners of the package 'Apache.NMS.ActiveMQ'

[External Email]
------------------------------------------------------------------------------

User ard &lt;[hidden email]&gt; sends the following message to the owners of Package 'Apache.NMS.ActiveMQ 1.7.2 (https://www.nuget.org/packages/Apache.NMS.ActiveMQ/1.7.2)'.

Hello,

Will there be a new release for the newer netstandard version of this package? I tried adding this project recently have been getting build errors in my asp.net core application.

https://github.com/apache/activemq-nms-amqp

warning NU1701: Package &#39;Apache.NMS 1.7.1&#39; was restored using &#39;.NETFramework,Version=v4.6.1&#39; instead of the project target framework &#39;.NETCoreApp,Version=v2.2&#39;. This package may not be fully compatible with your project.

-----------------------------------------------
    To stop receiving contact emails as an owner of this package, sign in to the NuGet Gallery and
    change your email notification settings (https://www.nuget.org/account).

Privacy Statement (https://go.microsoft.com/fwlink/?LinkId=521839)
Microsoft Corporation
One Microsoft Way
Redmond, WA 98052 USA

Follow Us: Facebook<http://www.qg.com/social1> | Twitter<http://www.qg.com/social2> | LinkedIn<http://www.qg.com/social3> | YouTube<http://www.qg.com/social4>